MakeMCHimalayaEngine< RNG, S > Class Template Reference

Monte Carlo Himalaya-option engine factory. More...

`#include <ql/experimental/exoticoptions/mchimalayaengine.hpp>`

## Public Member Functions

| MakeMCHimalayaEngine (const ext::shared_ptr< StochasticProcessArray > &)
MakeMCHimalayaEngine & | withBrownianBridge (bool b=true)
MakeMCHimalayaEngine & | withAntitheticVariate (bool b=true)
MakeMCHimalayaEngine & | withSamples (Size samples)
MakeMCHimalayaEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCHimalayaEngine & | withMaxSamples (Size samples)
MakeMCHimalayaEngine & | withSeed (BigNatural seed)
| operator ext::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCHimalayaEngine< RNG, S >

Monte Carlo Himalaya-option engine factory.